Create ACH/Same Day ACH Transfer (GQL)

Note: All the payment API's have the endpoint: /payments

Use this API for initiating an outgoing ACH or Same Day ACHtransfer to an external account.

ACH:
Settlement Timeline : Refer ACH lifecycle for details of the same

The below notifications are generated for lifecylce changes associated with an ACH transfer.

SAME DAY ACH:
Cut-off Time: 10:45 AM ET (Due to the 11:00 AM cut-off time)

Transfer funds to the recipient's account on the same business day if initiated before 10:45 AM ET.

If Same Day ACH is selected, ensure the request is submitted before 10:45 AM ET to meet the 11:00 AM cut-off time.

Behaviour : A successful response from this API indicates that the transfer was successfully initiated. The transfer amount is debited from the Originator account.

Flow of Funds :

  • Originator to Recipient (PaymentType : CREDIT)
  • Recipient to Originator (PaymentType : DEBIT)
FunctionWebhook
Transfer InitiationTransfer Initiation
Transfer SubmittedTransfer Submitted
Transfer ReturnTransfer Returned
Body Params

In the respective payment rail, whatever fields are written as mandatory, all those fields should be passed to create the recipient. Given a brief description about the parameters below.
The recipients are linked to a client.

ParameterDescriptionMandatoryData TypeExample
paymentTypeSpecifying the type of payment during the transfer.YesStringCREDIT
paymentRailACH would be the default payment rail for ACH debit/credit transfer.YesStringACH
amountThe amount to be transferred in USD.Yesnumber10
originatorThe details of the originator for ACH transfer.YesObject
accountIdIt is the account identifier of the originator.YesString123
recipientThe details of the recipient for the ACH transfer.YesObject
nameThe name of the recipient.YesStringDavid Wise
addressAddress details of the recipient.OptionalObject
line1First line of the address.OptionalStringString
line2Second line of the address.OptionalStringString
cityCity of the address.OptionalStringPark City
stateCodeState code of the address.OptionalStringString
countryCodeCountry code of the address.OptionalStringString
postalCodePostal code of the address.OptionalStringString
accountDetailsDetails of the recipient's account.Object
accountIdIdentifier for the recipient's account.ConditionalStringString
accountNumberAccount number of the recipient.ConditionalStringString
accountTypeType of account (CHECKING, SAVINGS). Default : CHECKINGOptional - Default CheckingStringCHECKING
bankInformationBank information associated with the recipient's account.Object
routingNumberRouting number (ABA for ACH & Wire)ConditionalString1234
swiftCodeSWIFT code for international wire transfers.ConditionalStringABAD
Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here!